Name:		semantik
Summary:	Mindmapping-like tool
Epoch:		1
Version:	1.0.1
Release:	%mkrel 1
Group:		Office/Utilities
License:	GPLv3
# http://ita1024.github.io/semantik/
URL:		https://waf.io/semantik.html
Source0:	https://waf.io/%{name}-%{version}.tar.bz2

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Auth)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5KDELibs4Support)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	qt5xcbqpa-devel

BuildRequires:	pkgconfig(python3)

Requires:	plasma-workspace

%description
Semantik (previously Kdissert) is a mindmapping-like tool to help
students to produce complicated documents very quickly and efficiently:
presentations, dissertations, thesis, reports. While targetted mostly
at students, Kdissert can also help teachers, decision maker, engineers
and businessmen. Semantik is also available exclusively for Linux and
other free operating systems.

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

./waf configure

./waf build %{?_smp_mflags} --verbose

%install
./waf install --destdir=%{buildroot}

install -Dm 0644 src/data/%{name}.svg %{buildroot}%{_kf5_iconsdir}/hicolor/scalable/apps/%{name}.svg
install -m 0644 src/data/%{name}-d.svg %{buildroot}%{_kf5_iconsdir}/hicolor/scalable/apps/%{name}-d.svg

# fix rpmlint complaints
chmod a+rx %{buildroot}%{_kf5_datadir}/%{name}/templates/pdflatex/wscript
chmod a+rx %{buildroot}%{_kf5_datadir}/%{name}/templates/beamer/wscript
chmod a+rx %{buildroot}%{_kf5_datadir}/%{name}/filters/*.py
chmod a+rx %{buildroot}%{_kf5_datadir}/%{name}/sembind.py

# install man page
install -D -m 0644 src/data/%{name}.1 %{buildroot}%{_kf5_mandir}/man1/%{name}.1

# remove unneeded devel files
find %{buildroot} -name '*.so' -delete

%find_lang %{name}
%find_lang %{name}-d

%files -f %{name}.lang -f %{name}-d.lang
%doc ChangeLog README TODO
%license LICENSE
%{_kf5_bindir}/%{name}
%{_kf5_bindir}/%{name}-d
%{_kf5_libdir}/lib%{name}.so*
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_datadir}/kxmlgui5/%{name}-d/
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_applicationsdir}/%{name}-d.desktop
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_datadir}/mime/packages/%{name}.xml
%{_kf5_mandir}/man1/%{name}.1*


%changelog
* Mon Feb 19 2018 daviddavid <daviddavid> 1:1.0.1-1.mga6
+ Revision: 1202905
- new version: 1.0.1
- port to Kf5/Qt5
- port to python 3
- remove merged upstream patch
- use upstream manpage

* Mon Jan 16 2017 neoclust <neoclust> 1:0.9.4-5.mga6
+ Revision: 1081964
- Add back on mageia ( ask by the maintainer )

* Mon Sep 26 2016 pterjan <pterjan> 1:0.9.4-4.mga6
+ Revision: 1056488
- Rebuild for fix in ocaml

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Nov 22 2015 alexl <alexl> 1:0.9.4-2.mga6
+ Revision: 904902
- fix x86_64 compillation
- add manpage
- install svg icon in correct dir
- version 0.9.4
- new url
- del upstreamed stuff
- fix desktop file
- s/patch/autopatch/

* Sat Feb 07 2015 alexl <alexl> 1:0.9.1-4.mga5
+ Revision: 814040
- updated Russian translation
- fixed localization for semantik-d

* Wed Oct 15 2014 umeabot <umeabot> 1:0.9.1-3.mga5
+ Revision: 748857
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.9.1-2.mga5
+ Revision: 689107
- Mageia 5 Mass Rebuild

* Mon Jul 28 2014 alexl <alexl> 1:0.9.1-1.mga5
+ Revision: 657805
- version 0.9.1
- added i18n-desktop.patch
- installed svg files

* Mon Oct 21 2013 umeabot <umeabot> 1:0.8.4-2.mga4
+ Revision: 540636
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 dlucio <dlucio> 1:0.8.4-1.mga4
+ Revision: 494092
- 0.8.4

* Mon Jan 14 2013 umeabot <umeabot> 1:0.8.3-2.mga3
+ Revision: 381935
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Sun Oct 21 2012 fwang <fwang> 1:0.8.3-1.mga3
+ Revision: 308955
- new version 0.8.3

* Tue Sep 18 2012 fwang <fwang> 1:0.8.2-1.mga3
+ Revision: 295703
- new version 0.8.2

* Thu Sep 06 2012 fwang <fwang> 1:0.8.1-1.mga3
+ Revision: 288732
- new version 0.8.1

* Wed Aug 29 2012 fwang <fwang> 1:0.8.0-1.mga3
+ Revision: 285019
- drop rpath req
- drop old switch
- new version 0.8.0

* Mon Apr 18 2011 wally <wally> 1:0.7.3-3.mga1
+ Revision: 87743
- fix license
- clean .spec
- update patch names
- imported package semantik


* Wed Feb 23 2011 Sergio Rafael Lemke <sergio@mandriva.com> 1:0.7.3-2mdv2011.0
+ Revision: 639476
- Patched to build against new ocaml versions

* Mon Aug 31 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.7.3-1mdv2010.0
+ Revision: 422742
- New version 0.7.3

* Sat Jul 11 2009 Funda Wang <fwang@mandriva.org> 1:0.7.2-2mdv2010.0
+ Revision: 394814
- use shipped waf

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix release
    - Remove old macros

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 1:0.7.2-1mdv2010.0
+ Revision: 369440
- New version 0.7.2

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 1:0.6.9-1mdv2009.1
+ Revision: 320338
- simplify BR
- use flags
- drop wrongly installed locale files

  + Adam Williamson <awilliamson@mandriva.org>
    - new release 0.6.9

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1:0.6.8-2mdv2009.0
+ Revision: 269246
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 07 2008 Funda Wang <fwang@mandriva.org> 1:0.6.8-1mdv2009.0
+ Revision: 202732
- kdegames are not needed
- New version 0.6.8

* Sun Jan 06 2008 Funda Wang <fwang@mandriva.org> 1:0.6.4-2mdv2008.1
+ Revision: 145924
- add non-KDE4 DE wrapper

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 30 2007 Funda Wang <fwang@mandriva.org> 1:0.6.4-1mdv2008.1
+ Revision: 114054
- New version 0.6.4
- use parallel build
- conver to kde4 style
- use kde4 dirs
- BR kdebase4 and kdegames4
- patch kde4.py too
- add kde4-config patch
- BR kdelibs4
- New version 0.6.0

* Tue Oct 09 2007 Funda Wang <fwang@mandriva.org> 1:0.5.8-1mdv2008.1
+ Revision: 95898
- New version 0.5.8

* Thu Aug 30 2007 Funda Wang <fwang@mandriva.org> 1:0.5.3b-1mdv2008.0
+ Revision: 75150
- New version 0.5.3b

* Thu Aug 30 2007 Funda Wang <fwang@mandriva.org> 1:0.5.3a-1mdv2008.0
+ Revision: 75061
- BR qt4-linguist
- drop BR of kdelibs-devel (icons already specified on configure script)
- New version 0.5.3a
- Don't support libsuffix any more
- it required kde-config to install icons??
- fix upgrading from kdissert
- use hicolor icon theme
- clean up file list
- more fix for waf script
- New version 0.5.3
- kdissert renamed to semantik

* Tue Jun 26 2007 Funda Wang <fwang@mandriva.org> 1.0.7-2mdv2008.0
+ Revision: 44388
- fix file list
- fix desktop category

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Remove X-MandrivaLinux-* keywords
    - Drop old menu style && fix compilation
    - New version


* Sun Jul 02 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-4mdv2007.0
- Rebuild for new menu and extension
- Use macros for icons

* Wed May 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-3mdk
- Rebuild to generate categories

* Mon Oct 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-2mdk
- Add missing icons

* Mon Oct 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-1mdk
- New release 1.0.5
	- new inline editor (hit the keys 'e', 'a', or 'i' to raise it)
	- auto-sizing canvas
	- generate documents from the command-line 
	- minor bugfixes

* Thu Oct 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-0.1mdk
- 1.0.5 => svn snapshot
- cosmetics

* Wed Sep 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-2mdk
- Fix Requires/BuildRequires

* Mon Aug 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-1mdk
- New release 1.0.4

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3.5-2mdk
- Fix Build for lib64

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3.5-1mdk
- 1.0.3.5
         - Bugfixes

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3.2-3mdk
- disable rpath

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3.2-2mdk
- Fix build on x86_64

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3.2-1mdk
- 1.0.3.2

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3-1mdk
- First Mandriva Package

